Pi Zero upgrade to 3.1.0 and Dump1090 woes


#1

Hi All,

I noticed on “My ADS-B Stats” page that I was running an old 2.1 version of PiAware and it recommended that I upgrade to the latest 3.1.0.
Followed the link that then recommended that I download the image and completely re-image my SD card anew which I did.
Then the Pi wouldnt boot.
Tried re-imaging the card a number of times, tried another card, all no go.
Reimaged the 2.1 back on and it booted up right away…

So, I took the Upgrade option on the “My ADS-B Stats” page instead.
This looks like it has worked but for some reason dump1090 is not auto starting anymore.
I’m sure I didnt have to manually start it, or make some sort of script last time.

My output of ‘sudo piaware-status’ is as follows…

PiAware master process (piaware) is running with pid 1094.
PiAware ADS-B client (faup1090) is not running.
PiAware mlat client (fa-mlat-client) is not running.
Local ADS-B receiver (dump1090) is not running.

no program appears to be listening for connections on port 30005.
faup1090 is NOT connected to the ADS-B receiver.
piaware is connected to FlightAware.

got 'couldn’t open socket: connection refused’
dump1090 is NOT producing data on localhost:30005.

Any ideas?

Thanks
Mark…


#2

The image hasn’t been tested on a zero unfortunately. I don’t have one to test on here, it’s an unusual configuration.

Did you upgrade dump1090 after upgrading piaware?


#3

Ahh ok thanks for that,

I did try updating dump1090 also and it wont start at all now, even manually.

A ‘systemctl status fadump1090’ command gives me the following…

Loaded: loaded (/etc/init.d/fadump1090.sh)
Active: failed (Result: exit-code) since Sun 2016-10-30 17:32:01 GMT; 1h 48min ago
Process: 347 ExecStart=/etc/init.d/fadump1090.sh start (code=exited, status=5)

…and a ‘sudo /etc/init.d/fadump1090.sh start’ command gives me the following…

…] Starting fadump1090.sh (via systemctl): fadump1090.serviceJob for fadump1090.service failed. See ‘systemctl status fadump1090.service’ and ‘journalctl -xn’ for details.
failed!

I guess I need to roll back a few versions then?
Any idea what is the latest version that works on the Zero?

Thanks,
Mark…


#4

Look at dump1090-fa. The old stuff should have been removed or disabled on upgrade.


#5

Sorry not sure what you mean there…

Are you saying dump1090-fa is the old version of fadump1090?


#6

Ahh, I have a breakthrough!

I tried running “sudo apt-get install dump1090-fa” and got the following error…

E: dpkg was interrupted, you must manually run ‘sudo dpkg --configure -a’ to correct the problem.

So I did.

The Pi went away and did some ‘stuff’ and dump1090 now appears to be running.
A look at the local webpage also looks like its the new version, COOL!

Not sure what has happened there but I’m off for a play now!

Cheers
Mark…


#7

Ok yeah an interrupted upgrade would do it. Not sure what caused the original upgrade to be interrupted though, that usually means the system unexpectedly rebooted.


#8

Three weeks ago, I ordered $9 C.H.I.P. computer, expected delivery sometime in November. Will try to install dump1090-mutability and Piaware add-on data feeder.

Foreseeing headaches, debugging, and frustration worst than Pi Zero.

Shipping cost from next-door US is killing!